GNU bug report logs - #36878
'guix system reconfigure' does not reload Shepherd services

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Robert Vollmert <rob@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36878-done <at> debbugs.gnu.org:


Received: (at 36878-done) by debbugs.gnu.org; 23 Aug 2019 12:56:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 08:56:04 2019
Received: from localhost ([127.0.0.1]:39296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i196n-0004Gl-DI
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 08:56:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i196h-0004GW-RW
 for 36878-done <at> debbugs.gnu.org; Fri, 23 Aug 2019 08:55:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42121)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i196b-00040Z-QN; Fri, 23 Aug 2019 08:55:49 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=48644 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i196Z-0004CJ-42; Fri, 23 Aug 2019 08:55:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN> <87lfwb1u1o.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 23 Aug 2019 14:55:45 +0200
In-Reply-To: <87lfwb1u1o.fsf@HIDDEN> (Jakob L. Kreuze's message of
 "Fri, 02 Aug 2019 11:11:31 -0400")
Message-ID: <877e746nxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36878-done
Cc: guix-devel@HIDDEN, 36878-done <at> debbugs.gnu.org,
 Robert Vollmert <rob@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

zerodaysfordays@HIDDEN (Jakob L. Kreuze) skribis:

> zerodaysfordays@HIDDEN (Jakob L. Kreuze) writes:
>
>> Great :)
>>
>> CC'ing Chris and Dave since I don't have write access -- can we
>> fast-track #36880 into master? I'd consider this to be a high-priority
>> bug fix.
>>
>> Regards,
>> Jakob
>
> The patch made it into master as 1db6f137d; thanks to Danny for signing
> off on it. Should we close this?

I gather that this particular issue is fixed, so closing the bug now!

Ludo=E2=80=99.




Notification sent to Robert Vollmert <rob@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Changed bug title to ''guix system reconfigure' does not reload Shepherd services' from 'guix system reconfigure broken' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 6 Aug 2019 02:56:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 22:56:11 2019
Received: from localhost ([127.0.0.1]:36110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hupdy-00077I-PF
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 22:56:11 -0400
Received: from mx1.cock.li ([185.10.68.5]:53727 helo=cock.li)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ison@HIDDEN>) id 1hupds-00076k-QC
 for 36878 <at> debbugs.gnu.org; Mon, 05 Aug 2019 22:56:08 -0400
Date: Mon, 5 Aug 2019 20:55:54 -0600
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1565060158; bh=nZhad0UpuFWOJAYqewdnm8+B7f8ORktjjL2dX+/lLGI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=YrVxADog48PhOcPUXv0uNNzv8w/5G5O9A8EhBa/a/TKlKkfNNcMHebcM6evxtXM5e
 PkFS4tlf6w9Nhbj/sF4ZJ+cHv9QLjsgQJKHC+z0WgRdSMk1ukH8xLyxqyvxQVcypxh
 52NREXp2IJW/sJ6YEC8hTGG9JsGkRbylfydvAb6UXpgqChI2u+YQUyJjR58Rr5fLfV
 YNc61cWp4iXG+u4+VK0B4hS86nSzVEAyGPVkaMObXpa2BPMvcPRTDfg6nt1uxWaUwn
 66kdGGxU8Q0s+nf5QXsjFb9ev79MmYZlSHDtc2jEpJKgk6i/leXBCwECKY0J9vBTYM
 Nnd42nwzY/FuQ==
From: ison <ison@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
Message-ID: <20190806025554.vl65jfdvoo7elazq@cf0>
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN> <87lfwb1u1o.fsf@HIDDEN>
 <20190805100741.uh5ijas6tjw4efut@cf0> <87r25zzvdw.fsf@HIDDEN>
 <87a7cnzmhe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87a7cnzmhe.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Aug 05, 2019 at 10:59:57AM -0400, Jakob L. Kreuze wrote:
> ison -- I'm very sorry that you've had this experience. Would you be
> willing to share the 'bootloader' field of your operating system
> configuration so I can look into this?

Thanks for taking an interest. Here is the new bug report:
https://issues.guix.gnu.org/issue/36942

Please let me know if there's any other information or testing I
can do to help figure it out.




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 5 Aug 2019 15:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 11:03:56 2019
Received: from localhost ([127.0.0.1]:35678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hueWi-0005yz-L5
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:03:56 -0400
Received: from mx.sdf.org ([205.166.94.20]:50154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hueWe-0005yl-5H
 for 36878 <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:03:54 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x75F38sT013287
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Mon, 5 Aug 2019 15:03:46 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: ison <ison@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN> <87lfwb1u1o.fsf@HIDDEN>
 <20190805100741.uh5ijas6tjw4efut@cf0> <87r25zzvdw.fsf@HIDDEN>
Date: Mon, 05 Aug 2019 10:59:57 -0400
In-Reply-To: <87r25zzvdw.fsf@HIDDEN> (Ricardo Wurmus's message of "Mon,
 05 Aug 2019 13:47:39 +0200")
Message-ID: <87a7cnzmhe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: Ricardo Wurmus <rekado@HIDDEN>, guix-devel@HIDDEN,
 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi ison and Ricardo,

Ricardo Wurmus <rekado@HIDDEN> writes:

> ison <ison@HIDDEN> writes:
>
>> I made the mistake of rebooting my machine after I first got this
>> error, I thought perhaps it was benign. But when it came back up I
>> was dropped to a GRUB rescue shell with some error about
>> "grub_file_filters" being an unknown symbol.
>
> This eems unrelated. The problem sounds like GRUB and its modules
> aren=E2=80=99t found for some reason.

It is unrelated to this specific issue, but it still does sound like my
patch is the source of the problem. Would you be willing to open a
separate ticket for tracking this, ison?

>> When running grub commands like "insmod normal" would just repeat the er=
ror
>> or say command not found.
>> The only way I could think to repair it was to run the Guix install disk,
>> mount my partitions, and do another "guix init" which allows me to boot =
into
>> my machine again. However, when I run "guix pull" and then perform a
>> reconfigure I still keep seeing the same line:
>> shepherd: Evaluating user expression (let* ((services (map primitive-loa=
d (?))) # ?) ?)
>
> I reconfigured a workstation yesterday and also saw this line.  It does
> look like an error, but it seems to be completely harmless.  I could
> boot juts fine.  I suppose that=E2=80=99s just the part where new service
> definitions are loaded.
>
> The problem you=E2=80=99re seeing is unrelated to this output.

Yes, this output is normal. Shepherd loads service files by evaluating
Scheme expressions. I could have sworn that 'guix system reconfigure'
showed the same line prior to my patch.

ison -- I'm very sorry that you've had this experience. Would you be
willing to share the 'bootloader' field of your operating system
configuration so I can look into this?

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1IRG4ACgkQ9Qb9Fp2P
2VpHDg//Yhzwypt4BgKa5/E9RYyDmUwh4Xw276qPUiDy1oW2r7tFynoTjKozXefd
xJDi8jMIyjzPUu0mxTHWv+SyIMC5vs6e5y+kJoVxl0p4AqMo0OIBi7K86htRo5aZ
IPDbswKl2xB6PHZ3Nhtbwscfc4ndlbb2cpeArxaB0wOz9vDDhgnHltR9tg5P+H5J
q2y0G0hy7CI4TOQRlk9+Z5bjqX1hZx03gNnqdfo2LOirj648AqrNMPROdy4z+/Vh
NwEyXUMYGzOT8NEGIMGAxkSqIyAoy4ly5pWQHotizzGJiqi8Pafyz9XgfeDYqDeV
CaH4GjpxVHCvKxrceVXAfPU7u4Dz2Z4ZkVp/tyMNHD/uMnEn1CrlBjtbXOvlpUq1
tJtXbYsvxSr3KuQGgRfw4Bm1+3CoYwA+XaK4zA8Ptusz1BxPxfigbWs7eM0qIl/Q
RFg6/1opDl53aGMydVFYiaSUl7BvDOrNoqqw0+bM1IGwre/E+jBUYe7uCpvF4WxH
SrMNm5bSPl48uTEX6RnsbuaGo/M6Y772/p3jDGVGfWE8+wqhZ31lNyB9XiRB1edG
tE3NEa5Rg7qDMIhoSMoMxS5Zis6B9OEoValYcrQLL2nwt1qysj/pqVbSkpgJnyMO
48Hq5lS27DYiRZMOvkA9ZL0Wb7Qpva37pSzwiUxn1wS/OT4OBWs=
=lP9e
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 5 Aug 2019 11:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 07:47:57 2019
Received: from localhost ([127.0.0.1]:34762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hubT3-00019e-0X
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 07:47:57 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hubT0-00019V-OB
 for 36878 <at> debbugs.gnu.org; Mon, 05 Aug 2019 07:47:55 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1565005666; cv=none; d=zoho.com; s=zohoarc; 
 b=DGRAmML/rdbb/qIbcGELqof/c1xv1fmyTldiW7ro0ldk8DF72xbsxEc0TngnTCGyeD01hlljjf2lqmk0ms9Z2ulmxV+ZMpXRw7ZoDljx2lXOMs3K13IbNTz0wpd1NrfJ3BIvdeh6aBWomBgU01gLZj8v2lqS4eN8gBS3URUkiUk=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1565005666;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=EtNst445sJ2vqIoQiZXemv0tXodB23lcSHZCwO3h4XI=; 
 b=M7yjdXBG4/XatFsRB2c6+rMmIutt96WHadGAM2cE43b1c2NojA0rBRbU3GCgQ753smXQyam4cDXpMwwb/oGfcNdfAPdljwBSYQNhhdvxC9pnxvu/36cd+yjWQVebA6BHiGdBPlHSPtq36gNzW94/+MsEb2W6QQK0YRT/nx//xmk=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1565005666; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1209; bh=EtNst445sJ2vqIoQiZXemv0tXodB23lcSHZCwO3h4XI=;
 b=Duhhkza0V0+FfwhhpVStC8hhVm0qvSWPlx4cAO2I7v+HZowrUassPEu7k0BNe2sa
 MX1q4GJdjzX12AFO3q8ZjluglHufLTGtNiESMHgP2uqmLu9qRjeRSdDIMNGxT/stGhl
 diVayLDbSAnWIx3uombvAC/elfXfwqLMkwUwTL4g=
Received: from localhost (141.80.247.250 [141.80.247.250]) by mx.zohomail.com
 with SMTPS id 1565005664355912.9155471563057;
 Mon, 5 Aug 2019 04:47:44 -0700 (PDT)
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN> <87lfwb1u1o.fsf@HIDDEN>
 <20190805100741.uh5ijas6tjw4efut@cf0>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: ison <ison@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
In-reply-to: <20190805100741.uh5ijas6tjw4efut@cf0>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 05 Aug 2019 13:47:39 +0200
Message-ID: <87r25zzvdw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>,
 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


ison <ison@HIDDEN> writes:

> I made the mistake of rebooting my machine after I first got this error, I
> thought perhaps it was benign. But when it came back up I was dropped to a
> GRUB rescue shell with some error about "grub_file_filters" being an unkn=
own
> symbol.

This eems unrelated.  The problem sounds like GRUB and its modules
aren=E2=80=99t found for some reason.

> When running grub commands like "insmod normal" would just repeat the err=
or
> or say command not found.
> The only way I could think to repair it was to run the Guix install disk,
> mount my partitions, and do another "guix init" which allows me to boot i=
nto
> my machine again. However, when I run "guix pull" and then perform a
> reconfigure I still keep seeing the same line:
> shepherd: Evaluating user expression (let* ((services (map primitive-load=
 (?))) # ?) ?)

I reconfigured a workstation yesterday and also saw this line.  It does
look like an error, but it seems to be completely harmless.  I could
boot juts fine.  I suppose that=E2=80=99s just the part where new service
definitions are loaded.

The problem you=E2=80=99re seeing is unrelated to this output.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 5 Aug 2019 10:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 06:07:58 2019
Received: from localhost ([127.0.0.1]:34692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huZuH-0000if-Sj
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 06:07:58 -0400
Received: from mx1.cock.li ([185.10.68.5]:55587 helo=cock.li)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ison@HIDDEN>) id 1huZuC-0000iO-Nd
 for 36878 <at> debbugs.gnu.org; Mon, 05 Aug 2019 06:07:56 -0400
Date: Mon, 5 Aug 2019 04:07:41 -0600
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1564999666; bh=WEUKX/40pHv3UQQr9qxFWCEV8W4FT9I4kf8vkeZKvfI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=i3l/E3BWF+8HIavnsMDruuqqjbyjLYn9s0eTJF2Z/m3ncD6bU7hElYhKEr3lDF3Gu
 f4QtsFt9qHNhbxjwB1gFbr5vMBF3xo9Wu1opBDhJ3hTkRteSOn31dA7aDzBXURykFn
 62r/5JrUtPoo0vN8hoFn0LbfJbHPphCSsSKFdw+Pgk4HHrsoVBhZ11wnF2xHI0gAvl
 qfZWhOaYKmJewZohpulXOIw4T2Qny2ibLF2CMt/FRhHMi9gp+QHfwgNHO+1IuNEhSO
 UQbIUb6ougnAf35rYNaq3qHgqatIbWbelaEyIwQ4CEFhtuUSpmC6QCniShsavjHB1F
 kXCMTm9DEz+nw==
From: ison <ison@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
Message-ID: <20190805100741.uh5ijas6tjw4efut@cf0>
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN> <87lfwb1u1o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87lfwb1u1o.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Aug 02, 2019 at 11:11:31AM -0400, Jakob L. Kreuze wrote:
> The patch made it into master as 1db6f137d; thanks to Danny for signing
> off on it. Should we close this?

I'm still experiencing this issue. "guix describe" shows that I'm using
commit 35600cd which should be newer than the fix.

I made the mistake of rebooting my machine after I first got this error, I
thought perhaps it was benign. But when it came back up I was dropped to a
GRUB rescue shell with some error about "grub_file_filters" being an unknown
symbol.

When running grub commands like "insmod normal" would just repeat the error
or say command not found.
The only way I could think to repair it was to run the Guix install disk,
mount my partitions, and do another "guix init" which allows me to boot into
my machine again. However, when I run "guix pull" and then perform a
reconfigure I still keep seeing the same line:
shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?)

I've tried this on several occasions over the last few days with different
commits following the supposed fix, and it still keeps doing the same thing,
and every time I follow the reconfigure with a reboot GRUB is broken again.




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 2 Aug 2019 15:14:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 11:14:35 2019
Received: from localhost ([127.0.0.1]:57577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htZGM-0005Br-SG
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 11:14:35 -0400
Received: from ol.sdf.org ([205.166.94.20]:61325 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1htZGK-0005Bi-Fl
 for 36878 <at> debbugs.gnu.org; Fri, 02 Aug 2019 11:14:32 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x72FEU5D027038
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Fri, 2 Aug 2019 15:14:31 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Robert Vollmert <rob@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
 <871ry59dsw.fsf@HIDDEN>
Date: Fri, 02 Aug 2019 11:11:31 -0400
In-Reply-To: <871ry59dsw.fsf@HIDDEN> (Jakob L. Kreuze's message of
 "Thu, 01 Aug 2019 10:10:39 -0400")
Message-ID: <87lfwb1u1o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: Christopher Webber <cwebber@HIDDEN>, guix-devel@HIDDEN, "Thompson,
 David" <dthompson2@HIDDEN>, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

zerodaysfordays@HIDDEN (Jakob L. Kreuze) writes:

> Great :)
>
> CC'ing Chris and Dave since I don't have write access -- can we
> fast-track #36880 into master? I'd consider this to be a high-priority
> bug fix.
>
> Regards,
> Jakob

The patch made it into master as 1db6f137d; thanks to Danny for signing
off on it. Should we close this?

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1EUqMACgkQ9Qb9Fp2P
2Vqg4Q//Va3vbKYtNK1jv7tOQNkws85gunXD4yooa+04QzHZrJDcbvLhverlCoqT
R5oHhwyz65aqzINf5JbQhBcI/FKdMV548j0RPUjswXnr2IuQfIVEepjcUKJ3GLSv
+fLIL8PDxHLPbOS16P7dBi6AVZjJ0zQdE4B2NR0RH7xRi3FijVOm/OgdhwmxVqxg
8ZLAX8Z39ChdxrN1oZrHl96efaM252PbKXV2m9RvteFU1RvXjM1S+ry3MxkMaUYf
Xs8Kj1kgzeHJ/YbVwmyieZkC/rGd0OUHKaPVmhN+R0EjF4ls4qTPVDbm2nhesu26
Fchj7YK3ffY3Uzjmsik1zIigjlWl6mnc3aqS0E4IUips+DH9pxO9CNEMFHVvvCEt
pl9oNI44jRhaCMEDk9iZdZ021aX1YBd8gn0lqwZvX981Psf3/bRdYaxGRl4cdY/p
NTr1p1OlWLBjOtLtsq8fWPbC5qhNCaZkJBhnoZTRXex4KLyWYeXqzjh5hmYWaxSp
sTDGJ3zT3HCNL+XW3377vyB1TVYZ/SEXcUtlG8KcVpjr0siOk+Ds4qVxn748096C
zOMFLL5sXdPCIpYt2RcI7Y23/hOgYNxLSeDiJp6e2uqeefWJMNEPnoi3dARvqEBx
vqMpMxeNA18iNbF9XMbljuWEUcYZAADZ+YYXGpfIpEOUj+V21wk=
=RRGp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 1 Aug 2019 14:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 10:13:43 2019
Received: from localhost ([127.0.0.1]:54821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htBpu-0004Na-W4
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 10:13:43 -0400
Received: from mx.sdf.org ([205.166.94.20]:53349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1htBpq-0004NM-3Q
 for 36878 <at> debbugs.gnu.org; Thu, 01 Aug 2019 10:13:41 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x71EDZ34014794
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Thu, 1 Aug 2019 14:13:36 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Robert Vollmert <rob@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
 <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
Date: Thu, 01 Aug 2019 10:10:39 -0400
In-Reply-To: <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN> (Robert
 Vollmert's message of "Thu, 1 Aug 2019 10:30:27 +0200")
Message-ID: <871ry59dsw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: Christopher Webber <cwebber@HIDDEN>, guix-devel@HIDDEN, "Thompson,
 David" <dthompson2@HIDDEN>, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Robert Vollmert <rob@HIDDEN> writes:

> Yes, it seems it does!

Great :)

CC'ing Chris and Dave since I don't have write access -- can we
fast-track #36880 into master? I'd consider this to be a high-priority
bug fix.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1C8t8ACgkQ9Qb9Fp2P
2VoCwA/8D6vKBPiejE0FBTb6AAKVJYLcPh9GVHjLouVVaUEOXRey6ZpAkY+VGopx
7XqcflIoTLwfi5tAqKOP4cOtYMnZCOXuZ4XaQPoP/T7rv1ae+rMSHlr2+UF0DErZ
/armrEyIEafkm28TdxFzgEpM575YUhAzKiQy3n5RIVwXl4x0PBF8rR2+lrN/lT+q
mcx0Ovu7g9kfCEIvMrf1KzwsscfOqNuXQFiMhusog1mgt4Sq7NwC3Ok7VQWOCf/b
GWsUXEgTrkBA8CHSIatbKtLMSOvlZFX+Vcz77jQXUlRj4IhRyGIDA/MbqOKPb9ip
tbR5Y0EN7iwBWjM8ff7LofGi20YaV9DfsgLLxi50FjlEhppmvSV4anC8gw09DdiV
n/cKr3+EXRfOPWVoQIB0N8DqT+ieMGXNcHq2aZE18N+DYjxNJcXY+MB3VYMh5Iw7
+nKrfJJgOF0gAg10Y97ZzWMeujTjtLgI8fkmple/d0shCt1aHfCCutFXXNWtm6Vz
UVcILa2gCsC0JLscR83BKmh4bPTjORci4ifeT1Td0KN8NflAPlpDV8086QXOzKR5
K55OqRGows3bcLR4/rSH7AybkLVDVG+8NIVIBh1vmhTNYuVYHdfAVzyaYq6m4FSC
WKWSZ4AjlDPpiSKVe0mNkfUyHO+TSSP2fl4NPqTHpE+w3XzSP7U=
=f+GC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 1 Aug 2019 09:21:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 05:21:41 2019
Received: from localhost ([127.0.0.1]:53477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ht7HI-0003BZ-Rj
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 05:21:41 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:38467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.sassmannshausen@HIDDEN>) id 1ht7HH-0003BE-8V
 for 36878 <at> debbugs.gnu.org; Thu, 01 Aug 2019 05:21:39 -0400
Received: by mail-wr1-f49.google.com with SMTP id g17so72764355wrr.5
 for <36878 <at> debbugs.gnu.org>; Thu, 01 Aug 2019 02:21:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:reply-to:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+jOfCteIA05S19zLJ9MJe4WeRsOmiDDsElfpG7n6P1w=;
 b=GcLBVfWQhxbtKiKERl+dQ1mmcHa+JiH/0mxOcf6Wq1dBzf9Azg6TFqHDy90bQCMdsg
 fuoX5w6eaZc01vv8QyGMpMtJf/TiiazrO52hPPtAGz+24a2MVsVQUm7GCWyiRIoJhNJB
 1qW7lfcIQy7SCrCGGUK20Cz+SVa46M0PDQhkqfWqpx17iWNjHnIRgw7gJOq82tUkiswR
 9qlApOXkeyf2uslJxKMRwAjrZT/RYoGnIvBxpvK0b4AxjMBe/+4tI5TESl54tg6CeEQl
 z71Bp+hk5qCnKjFNV6LjnLaz8l87Z0WXJq5+TPgUIV1kuETfmuBpMU6N7K8/ZRh3abbj
 e7sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :reply-to:in-reply-to:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+jOfCteIA05S19zLJ9MJe4WeRsOmiDDsElfpG7n6P1w=;
 b=b3F5Z3NkpDD3rIHCG8bvDlcT9UtfSDEyCrZaNe7zmZwRtMtnnLxLcd+LlxdmDsHyVz
 dYSjnlob7cENkMltWjmwXRMdJZrQdC1bKxmHkTLuCKUGJbKixLA+FdJUtKIZxJgTKTHu
 PBlWajqLVB1YUCANLz4RaBbZ5sb4A2cJe3kjCfzWLxxQrwRhgPahsX/lRrt5gvPCiUOH
 E+LIlHOjsVpgWxS9jhSdbvekr+2LezOV0LVe/JX3vZReTuhjTi2PlV1lCBx4b7I9HY5k
 zhhbj1Pa2whLIA1dVWfSeUfpZeDM4XW/rF8JpbtlBzn+EU3FMsocyQbrqRV6w5gW6kx3
 lEiA==
X-Gm-Message-State: APjAAAWejMrTLWISmqOqXx+BCVeir3MVV8SmGzyh3qY3BwUHk9LmG53o
 jGXqBLZzxgVupnFx21+hix4=
X-Google-Smtp-Source: APXvYqyPljKUk9ZaR5EE7SVo4AB4iLo5trjw5SdPiXYf49XenQF+Nvt/sjWTsz4qATnBJzOqWjVL0A==
X-Received: by 2002:a5d:50d1:: with SMTP id f17mr8633949wrt.124.1564651293209; 
 Thu, 01 Aug 2019 02:21:33 -0700 (PDT)
Received: from watership ([87.236.135.19])
 by smtp.gmail.com with ESMTPSA id y1sm53489994wma.32.2019.08.01.02.21.32
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 01 Aug 2019 02:21:32 -0700 (PDT)
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Alex Sassmannshausen <alex.sassmannshausen@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36878: guix system reconfigure broken
In-reply-to: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
Date: Thu, 01 Aug 2019 10:21:30 +0100
Message-ID: <875znhi6lh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: alex.sassmannshausen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks for reporting this, I experienced the same issue but blamed it on
my own infrastructure instead!

Good to hear it's resolved now.

Alex

Robert Vollmert <rob@HIDDEN> writes:

> Hi,
>
> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>
>   guix system: Reimplement 'reconfigure=E2=80=99.
>
> breaks guix system reconfigure. In particular, after reconfiguring,
> shepherd doesn=E2=80=99t know about the updated versions of services.
>
> The usual output below is missing; after reverting the commit it=E2=80=99s
> fine again.
>
> guix system: loading new services: =E2=80=A6
> To complete the upgrade, run 'herd restart SERVICE' to stop,
> upgrade, and restart each service that was not automatically restarted.
> shepherd: Evaluating user expression (let* ((services (map primitive-load=
 (?))) # ?) ?).
> shepherd: Service user-homes has been started.
> shepherd: Service term-auto could not be started.
> bootloader successfully installed on '/dev/sda=E2=80=99
>
> I see that some system tests for =E2=80=9Cguix system reconfigure=E2=80=
=9D were added
> after this change. Might I suggest adding them before the change next
> time around, and making sure they pass both before and after?
>
> Cheers
> Robert





Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2019 09:21:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 05:21:41 2019
Received: from localhost ([127.0.0.1]:53479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ht7HJ-0003Bb-3c
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 05:21:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:51823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.sassmannshausen@HIDDEN>) id 1ht7HH-0003BM-QR
 for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 05:21:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36463)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <alex.sassmannshausen@HIDDEN>) id 1ht7HG-0004k8-SL
 for bug-guix@HIDDEN; Thu, 01 Aug 2019 05:21:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.sassmannshausen@HIDDEN>) id 1ht7HF-0001mO-P0
 for bug-guix@HIDDEN; Thu, 01 Aug 2019 05:21:38 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:34745)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alex.sassmannshausen@HIDDEN>)
 id 1ht7HD-0001lE-OI; Thu, 01 Aug 2019 05:21:35 -0400
Received: by mail-wr1-x42a.google.com with SMTP id 31so72798273wrm.1;
 Thu, 01 Aug 2019 02:21:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:reply-to:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+jOfCteIA05S19zLJ9MJe4WeRsOmiDDsElfpG7n6P1w=;
 b=GcLBVfWQhxbtKiKERl+dQ1mmcHa+JiH/0mxOcf6Wq1dBzf9Azg6TFqHDy90bQCMdsg
 fuoX5w6eaZc01vv8QyGMpMtJf/TiiazrO52hPPtAGz+24a2MVsVQUm7GCWyiRIoJhNJB
 1qW7lfcIQy7SCrCGGUK20Cz+SVa46M0PDQhkqfWqpx17iWNjHnIRgw7gJOq82tUkiswR
 9qlApOXkeyf2uslJxKMRwAjrZT/RYoGnIvBxpvK0b4AxjMBe/+4tI5TESl54tg6CeEQl
 z71Bp+hk5qCnKjFNV6LjnLaz8l87Z0WXJq5+TPgUIV1kuETfmuBpMU6N7K8/ZRh3abbj
 e7sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :reply-to:in-reply-to:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+jOfCteIA05S19zLJ9MJe4WeRsOmiDDsElfpG7n6P1w=;
 b=CejmNXF4b+kzwfT0JMrlDVokRnS+r656MhAiZdAKdqTTSzsLqaIeJCiWQA9ohxWTUS
 mbPzE1CBsPN73ATUhB4m7HPlGY+aeMRZtyr4MMVmxbKvH/oW1CoQmO2+8MawGl5ZAqbi
 tYZvgFp5fA7VXKJsQV5QbAyM7wctXfGwKaadXPkcUIH5Dii2Ep+6bCPZkWFQB/kT6dG+
 hvrEe+ar/OwwCS8zyA0bPcupaV//UxJ1E0Hf/C9vc7lhwoRLKdhjhX2YmtoA70e1d9gz
 yDf8YApttTIerS1JltayMFchmuGWAG67Ya64z9cBBKB2WDYMIwgSAO/YpKau0ua9sIFO
 s8ZQ==
X-Gm-Message-State: APjAAAXFNilKDG+nk6D9guk2aFWtts+CIbuIuzTsBpyp47QlvYPu5O1X
 hBIOohiU09YyQ+/KzrFjHckTpRrXzHM=
X-Google-Smtp-Source: APXvYqyPljKUk9ZaR5EE7SVo4AB4iLo5trjw5SdPiXYf49XenQF+Nvt/sjWTsz4qATnBJzOqWjVL0A==
X-Received: by 2002:a5d:50d1:: with SMTP id f17mr8633949wrt.124.1564651293209; 
 Thu, 01 Aug 2019 02:21:33 -0700 (PDT)
Received: from watership ([87.236.135.19])
 by smtp.gmail.com with ESMTPSA id y1sm53489994wma.32.2019.08.01.02.21.32
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 01 Aug 2019 02:21:32 -0700 (PDT)
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Alex Sassmannshausen <alex.sassmannshausen@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36878: guix system reconfigure broken
In-reply-to: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
Date: Thu, 01 Aug 2019 10:21:30 +0100
Message-ID: <875znhi6lh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42a
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: alex.sassmannshausen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Thanks for reporting this, I experienced the same issue but blamed it on
my own infrastructure instead!

Good to hear it's resolved now.

Alex

Robert Vollmert <rob@HIDDEN> writes:

> Hi,
>
> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>
>   guix system: Reimplement 'reconfigure=E2=80=99.
>
> breaks guix system reconfigure. In particular, after reconfiguring,
> shepherd doesn=E2=80=99t know about the updated versions of services.
>
> The usual output below is missing; after reverting the commit it=E2=80=99s
> fine again.
>
> guix system: loading new services: =E2=80=A6
> To complete the upgrade, run 'herd restart SERVICE' to stop,
> upgrade, and restart each service that was not automatically restarted.
> shepherd: Evaluating user expression (let* ((services (map primitive-load=
 (?))) # ?) ?).
> shepherd: Service user-homes has been started.
> shepherd: Service term-auto could not be started.
> bootloader successfully installed on '/dev/sda=E2=80=99
>
> I see that some system tests for =E2=80=9Cguix system reconfigure=E2=80=
=9D were added
> after this change. Might I suggest adding them before the change next
> time around, and making sure they pass both before and after?
>
> Cheers
> Robert





Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 1 Aug 2019 08:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 04:30:50 2019
Received: from localhost ([127.0.0.1]:53445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ht6U6-0008Hm-Ij
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 04:30:50 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:62828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1ht6U3-0008HX-0m
 for 36878 <at> debbugs.gnu.org; Thu, 01 Aug 2019 04:30:48 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id B93A9512DD;
 Thu,  1 Aug 2019 10:30:40 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id tio4KHQ4oeGo; Thu,  1 Aug 2019 10:30:32 +0200 (CEST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#36878: guix system reconfigure broken
From: Robert Vollmert <rob@HIDDEN>
In-Reply-To: <87k1bycbn8.fsf@HIDDEN>
Date: Thu, 1 Aug 2019 10:30:27 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <AF85F3A1-9899-4F5C-AE81-42A52DE71386@HIDDEN>
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
 <87k1bycbn8.fsf@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> On 31. Jul 2019, at 20:16, Jakob L. Kreuze =
<zerodaysfordays@HIDDEN> wrote:
>=20
> Hi Robert,
>=20
> Robert Vollmert <rob@HIDDEN> writes:
>=20
>> The concrete problem is this:
>>=20
>> 1. nginx is running with config file A
>> 2. make some change to nginx config
>> 3. run guix system reconfigure (which builds a new nginx config file =
B)
>> 4. run herd restart nginx
>> 5. nginx is still running with config file A
>>=20
>> After reverting this commit, if I perform these steps, I end up with
>> nginx running with config file B in 5.
>=20
> Okay, I see now. Thank you clarifying. Would you be willing to see if
> the patch provided by #36880 fixes this issue?

Yes, it seems it does!





Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 31 Jul 2019 18:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 14:19:42 2019
Received: from localhost ([127.0.0.1]:53061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hstCP-0007YE-Of
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 14:19:41 -0400
Received: from mx.sdf.org ([205.166.94.20]:57664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hstCO-0007Y7-9h
 for 36878 <at> debbugs.gnu.org; Wed, 31 Jul 2019 14:19:40 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x6VIJawi020774
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Wed, 31 Jul 2019 18:19:38 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Robert Vollmert <rob@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
 <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
Date: Wed, 31 Jul 2019 14:16:43 -0400
In-Reply-To: <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN> (Robert
 Vollmert's message of "Wed, 31 Jul 2019 19:06:12 +0200")
Message-ID: <87k1bycbn8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Robert,

Robert Vollmert <rob@HIDDEN> writes:

> The concrete problem is this:
>
> 1. nginx is running with config file A
> 2. make some change to nginx config
> 3. run guix system reconfigure (which builds a new nginx config file B)
> 4. run herd restart nginx
> 5. nginx is still running with config file A
>
> After reverting this commit, if I perform these steps, I end up with
> nginx running with config file B in 5.

Okay, I see now. Thank you clarifying. Would you be willing to see if
the patch provided by #36880 fixes this issue?

> I still get a bootloader line.

Great -- thanks for checking that for me!

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1B2wsACgkQ9Qb9Fp2P
2VpoAQ/8CYXe2/RHmrKQR4Oqsdj5D8dsod+131/nS2FBptemZcBwPmy6vYovxgCG
9mLIhzBz27DstmJJmee2zxZqoZqFjv2PgamHci2m+EFotLgbEsBSRbSxHrla5RQl
Zfb+RlmvagZ+tHKDEJhLccCRHYrVN1VVxkJSBPwwSQT4ycyBbA4twzKZw/bMUOSK
n+b+LL79W238iLAjr6SGCBdqoTZmJ5ZVb8qUVW/xF1b6HMY8esfZbTvymT7KmbMZ
Mg2Pup9Oeu+DuJojRsO6MWbf/ziP4X4QJfbBuku3+pm6R+D9x5FzacbV3E4+Flfg
UPDRRM9GvrnUebj6Z3td1jWyh5R0tnLGtXZseOCNmPTB9s0fu/sJhkW0Od5SbiEJ
6XQ/90IobuwtuhheB5VlYjXYbjOAoyYBMQ1Iz1YvNL1Kxtdqb4A8IeYqc+gAkdZj
KlTWHlGZEBq0UGtVUFF+IZmW7K4Qvk7DoAqRVAwpH6wxyDgTnrRCBkjpnExyNOiZ
YGJJHCqSccBqwTXy0F/lY6KktiXuBncWJaY1DUMV5RkRWQkYho5aYQAQmE8puVRK
nv4XF+w4qqSnyphvghbUUiq8CmR37TJaeKu4HuqUa0Wp+8a3msYShW/YffxLhdnb
Pq1Xv8oXX0grQtJNIsu846mmRG1mWd219URiItnSk6rdgxf8fV8=
=KGqA
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 31 Jul 2019 17:06:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 13:06:30 2019
Received: from localhost ([127.0.0.1]:53014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hss3a-0005Fo-8V
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:06:30 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:37722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hss3W-0005FZ-Cs
 for 36878 <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:06:29 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id CA45850039;
 Wed, 31 Jul 2019 19:06:20 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id dhWlaPVpRhuE; Wed, 31 Jul 2019 19:06:16 +0200 (CEST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#36878: guix system reconfigure broken
From: Robert Vollmert <rob@HIDDEN>
In-Reply-To: <87wofycfuq.fsf@HIDDEN>
Date: Wed, 31 Jul 2019 19:06:12 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <0D1F3165-BE55-42D8-98D9-364CB4904A0E@HIDDEN>
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
 <87wofycfuq.fsf@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> On 31. Jul 2019, at 18:45, Jakob L. Kreuze =
<zerodaysfordays@HIDDEN> wrote:
> Robert Vollmert <rob@HIDDEN> writes:
>=20
>> Hi,
>>=20
>> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>>=20
>>  guix system: Reimplement 'reconfigure=E2=80=99.
>>=20
>> breaks guix system reconfigure. In particular, after reconfiguring,
>> shepherd doesn=E2=80=99t know about the updated versions of services.
>>=20
>> The usual output below is missing; after reverting the commit it=E2=80=99=
s
>> fine again.
>=20
> Could you please elaborate on what you mean by this? I can see that =
the
> ouput has changed, but is Shepherd doing something that indicates that
> it doesn't know about the new services?

The concrete problem is this:

1. nginx is running with config file A
2. make some change to nginx config
3. run guix system reconfigure (which builds a new nginx config file B)
4. run herd restart nginx
5. nginx is still running with config file A

After reverting this commit, if I perform these steps, I end up with
nginx running with config file B in 5.

> And is the line regarding
> bootloader installation also missing from 'guix system reconfigure'
> post-5c8c8c455?

I still get a bootloader line.

Cheers
Robert





Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at 36878 <at> debbugs.gnu.org:


Received: (at 36878) by debbugs.gnu.org; 31 Jul 2019 16:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 12:48:57 2019
Received: from localhost ([127.0.0.1]:52997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsrmZ-0004l2-Ir
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 12:48:56 -0400
Received: from ol.sdf.org ([205.166.94.20]:64829 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hsrmV-0004kr-Uw
 for 36878 <at> debbugs.gnu.org; Wed, 31 Jul 2019 12:48:54 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x6VGmk0I001389
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Wed, 31 Jul 2019 16:48:50 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Robert Vollmert <rob@HIDDEN>
Subject: Re: bug#36878: guix system reconfigure broken
References: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
Date: Wed, 31 Jul 2019 12:45:49 -0400
In-Reply-To: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN> (Robert
 Vollmert's message of "Wed, 31 Jul 2019 18:18:47 +0200")
Message-ID: <87wofycfuq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36878
Cc: guix-devel@HIDDEN, 36878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Robert,

Robert Vollmert <rob@HIDDEN> writes:

> Hi,
>
> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>
>   guix system: Reimplement 'reconfigure=E2=80=99.
>
> breaks guix system reconfigure. In particular, after reconfiguring,
> shepherd doesn=E2=80=99t know about the updated versions of services.
>
> The usual output below is missing; after reverting the commit it=E2=80=99s
> fine again.

Could you please elaborate on what you mean by this? I can see that the
ouput has changed, but is Shepherd doing something that indicates that
it doesn't know about the new services? And is the line regarding
bootloader installation also missing from 'guix system reconfigure'
post-5c8c8c455?

> I see that some system tests for =E2=80=9Cguix system reconfigure=E2=80=
=9D were added
> after this change. Might I suggest adding them before the change next
> time around, and making sure they pass both before and after?

Sure. My apologies for not having the foresight to do that.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1Bxb0ACgkQ9Qb9Fp2P
2VptIg//XqD591WeOt3RLoq1Q8FxgmVbdg41uRSoMU7IKWWEpvbxWGyeCy0ymEni
mP5CrYAFB0Cj9hTc9VQqJGXB8Uzzu9bcltgSrdX/Mw/zSm5y4U5vScSM0APH+wNq
zjaa3eRVhFS28VG6FQJ6YZWhBHivECfoPlpiPY5bytQWVH31Fs2HZqF19Tx9lL5C
bMt1slnXCEsNj3HIrdcjNv0pMcbzkYXOLTN8WTve32am8raIZ3wtrKR8KkX9baZQ
/beT0AsPxPp00x1E7euVekMRdZQ8he4XdakuacqlVwzNj7dRDAaIZIqGMdS9vVR+
xb2Ybt9oQCcpUNdIAGY5UMKLW44Th8N8NsISQ/Vy1J4PZSsoJZycwskMYQPWuXet
Tlu2qQFAMXQhE6JmMp2hkR7kOukhHDEJfhPtzqi6G6Wvj7+z9ILNcp7wHbAdTFYP
S4pgNcWPutG1FEMv24PNXHjn0bnjvKd+UCtZxUog0nW0E409HXnbdwYNOgyq9eP3
O2AkmTmW2D2zLS4Ho7nCYkCSv+afwgWaetl6IXkzezVNll+RXq+lisL2XwqBCZF7
V2lEYjqCf0TTI4VqArqUTKmJ2FS3X6EN/LC8vptmdgRBTIwqAcainaFvBLEcEXXy
Zan0KjtfoQNDeG5xivdDIhvqg4/duOgTAzUcCwVQ3e1GIPRR7I4=
=S1GG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jul 2019 16:19:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 12:19:00 2019
Received: from localhost ([127.0.0.1]:52977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsrJc-0003y3-BT
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 12:19:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:56695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hsrJa-0003xv-6b
 for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 12:18:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43342)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rob@HIDDEN>) id 1hsrJZ-0004v8-59
 for bug-guix@HIDDEN; Wed, 31 Jul 2019 12:18:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rob@HIDDEN>) id 1hsrJY-0005c4-6l
 for bug-guix@HIDDEN; Wed, 31 Jul 2019 12:18:57 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:57188)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rob@HIDDEN>)
 id 1hsrJY-0005bH-06; Wed, 31 Jul 2019 12:18:56 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id E3F99508BF;
 Wed, 31 Jul 2019 18:18:53 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id hKADJBd8J4qz; Wed, 31 Jul 2019 18:18:50 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: guix system reconfigure broken
Message-Id: <E4A38AEA-BAC9-41D0-9164-A9C7487BB4B8@HIDDEN>
Date: Wed, 31 Jul 2019 18:18:47 +0200
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 80.241.60.212
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: guix-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi,

it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012

  guix system: Reimplement 'reconfigure=E2=80=99.

breaks guix system reconfigure. In particular, after reconfiguring,
shepherd doesn=E2=80=99t know about the updated versions of services.

The usual output below is missing; after reverting the commit it=E2=80=99s=

fine again.

guix system: loading new services: =E2=80=A6
To complete the upgrade, run 'herd restart SERVICE' to stop,
upgrade, and restart each service that was not automatically restarted.
shepherd: Evaluating user expression (let* ((services (map =
primitive-load (?))) # ?) ?).
shepherd: Service user-homes has been started.
shepherd: Service term-auto could not be started.
bootloader successfully installed on '/dev/sda=E2=80=99

I see that some system tests for =E2=80=9Cguix system reconfigure=E2=80=9D=
 were added
after this change. Might I suggest adding them before the change next
time around, and making sure they pass both before and after?

Cheers
Robert






Acknowledgement sent to Robert Vollmert <rob@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36878; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Aug 2019 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.